Get findings group details
curl -X GET "https://api.prd.rad.security/accounts/example_string/unified_findings/groups/example_string?limit=example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/unified_findings/groups/example_string?limit=example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/unified_findings/groups/example_string?limit=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/unified_findings/groups/example_string?limit=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/unified_findings/groups/example_string?limit=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"cluster_id": "example_string",
"findings": [
{
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"deleted_at": "example_string",
"event_timestamp": "example_string",
"fingerprint": "example_string",
"fix_attrs": {},
"id": "example_string",
"messages": [
"example_string"
],
"owner_id": "example_string",
"rule_attrs": {},
"rule_id": "example_string",
"rule_title": "example_string",
"severity": "example_string",
"severity_int": 42,
"source_actor": "example_string",
"source_attrs": {},
"source_id": "example_string",
"source_kind": "example_string",
"source_name": "John Doe",
"source_namespace": "John Doe",
"source_owner_id": "example_string",
"source_type": "example_string",
"tags": {},
"tenant_id": "example_string",
"type": "example_string",
"updated_at": "example_string"
}
],
"first_seen": "example_string",
"id": "example_string",
"last_seen": "example_string",
"rule_id": "example_string",
"rule_title": "example_string",
"severity": "example_string",
"source_kind": "example_string",
"source_name": "John Doe",
"source_type": "example_string",
"status": "example_string",
"type": "example_string",
"event_timestamp": "example_string",
"group_id": "example_string",
"rule_attrs": {},
"source_attrs": {},
"source_namespace": "John Doe"
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/unified_findings/groups/{group_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount id
path
group_idstring
RequiredFindings group id
query
limitstring
Limit
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount id
group_idstring
RequiredFindings group id
Query Parameters
limitstring
Limit
Responses
account_idstring
cluster_idstring
findingsarray
first_seenstring
idstring
last_seenstring
rule_idstring
rule_titlestring
severitystring
source_kindstring
source_namestring
source_typestring
statusstring
typestring
event_timestampstring
group_idstring
rule_attrsobject
source_attrsobject
source_namespacestring
Was this page helpful?